ERROR_PATCH_REMOVAL_UNSUPPORTED 1646 The patch package is not a removable patch package

Asked By 80 points N/A Posted on -
qa-featured

ERROR_PATCH_REMOVAL_UNSUPPORTED 1646 The patch package is not a removable patch package. Available beginning with Windows Installer version 3.0.

I installed the SCE agent on several 2008 R2 servers, all working well. Now i am trying to install the SCE agent on a new server when i deploy through SCE, the agent to that server SCE is not giving any error but what I see in the monitoring window is NOT MONITORED. I looked at the event viewer on the Server where the agent is installed there is an error: eventid 1023:

Product: System Center Operations Manager 2007 Agent – Update '{0AFA525E-7F2F-47C3-8AB1-26FCDDB7DF5D}' could not be installed. Error code 1646. Additional information is available in the log file C:Windows422C3AB1-32E0-4411-BF66-A84FEEFCC8E2nameserverAgentPatch.LOG.

I have checked something like to see if the management server is reachable, can ping, download the cab thru http and others but that goes well. Firewall is off and update service is on.

Why can’t I deploy the agent to that server?

SHARE
Answered By 0 points N/A #193186

ERROR_PATCH_REMOVAL_UNSUPPORTED 1646 The patch package is not a removable patch package

qa-featured

Hello Allen,

First of all, you will need to make sure that SCE 2007 SP1 has been applied:

Support for Windows Server 2008 R2 as well as Windows 7 in System Center Essentials 2007 SP1. Check the following site
After that, you will need to get rid of the agent on the Windows Server 2008 R2 server, and  then try installing the agent again.

Regards,

Nicke

Login/Register to Answer

Related Questions